declare global {
  /* tslint:disable */
  interface Window {
    ENV: any
  }
}

/* Locate the client environment */
const isProduction = process.env.NODE_ENV === 'production'
const env = isProduction ? window.ENV : process.env

/* General settings */
export const appTimezone: string = 'Europe/Oslo'

/* Version */
export const appVersion: string = process.env.REACT_APP_VERSION as string
export const appName: string = process.env.REACT_APP_NAME as string

/* Institution (used for features and theming */
export const appInst: string = env.REACT_APP_INST as string

/* Show warning in the footer about this being a staging/test system */
export const appStagingWarning: boolean =
  env.REACT_APP_STAGING_WARNING === 'true'

/* Footer content */
export const appTechnicalSupportLink: string =
  env.REACT_APP_SUPPORT_URL as string
export const responsibleOrganization: string =
  env.REACT_APP_RESPONSIBLE_ORGANIZATION as string
export const responsibleOrganizationLink: string =
  env.REACT_APP_RESPONSIBLE_ORGANIZATION_LINK as string

export const ITRulesLink: string = env.REACT_APP_IT_RULES_LINK as string
export const privacyPolicyLink: string =
  env.REACT_APP_PRIVACY_POLICY_LINK as string

export const helpLink: string = env.REACT_APP_HELP_LINK as string
export const documentationLink: string =
  env.REACT_APP_DOCUMENTATION_LINK as string
