import { createContext, useContext } from 'react'

export interface IFeatureContext {
  // Controls whether the contact person at unit field is shown in the register new guest wizard
  displayContactAtUnit: boolean
  // Controls whether the optional field is shown in the register new guest wizard
  displayComment: boolean
}

export const FeatureContext = createContext<IFeatureContext>({
  displayContactAtUnit: true,
  displayComment: true,
})

export const useFeatureContext = () => useContext(FeatureContext)
