import { IconButton, Theme, Box } from '@mui/material'
import { Link } from 'react-router-dom'
import PersonOutlineRoundedIcon from '@mui/icons-material/PersonOutlineRounded'
import ArrowBackIcon from '@mui/icons-material/ArrowBack'

interface SponsorInfoButtonsProps {
  to: string
  name: string
}

export default function SponsorInfoButtons({
  to,
  name,
}: SponsorInfoButtonsProps) {
  return (
    <Box
      sx={{
        display: 'flex',
        flexDirection: 'row',
        justifyContent: 'center',
        marginBottom: '2rem',
      }}
    >
      <Box>
        <IconButton component={Link} to={to}>
          <ArrowBackIcon />
        </IconButton>
      </Box>
      <Box
        sx={{
          display: 'flex',
          flexDirection: 'column',
          alignItems: 'center',
        }}
      >
        <PersonOutlineRoundedIcon
          fontSize="large"
          sx={{
            borderRadius: '2rem',
            borderStyle: 'solid',
            borderColor: (theme: Theme) => theme.palette.secondary.main,
            fill: 'white',
            backgroundColor: (theme: Theme) => theme.palette.secondary.main,
          }}
        />
        <Box
          sx={{
            typography: 'caption',
          }}
        >
          {name}
        </Box>
      </Box>
    </Box>
  )
}
