import { useTranslation } from 'react-i18next'
import Page from 'components/page'

import { styled } from '@mui/material/styles'

import { HrefButton } from 'components/button'
import { HrefLineButton } from 'components/button/linebutton'

const FlexDiv = styled('div')(() => ({
  display: 'flex',
  gap: '0.5rem',
}))

function Invite() {
  const { t } = useTranslation(['invite'])

  return (
    <Page>
      <h1>{t('header')}</h1>
      <p>
        {t('description')}
      </p>
      <FlexDiv>
        <HrefButton to="/oidc/authenticate/">{t('login')}</HrefButton>
        <HrefLineButton to="/guestregister/">{t('manual')}</HrefLineButton>
      </FlexDiv>
    </Page>
  )
}

export default Invite
