import React from 'react'
import { render } from '@testing-library/react'
import { ThemeProvider } from '@mui/material/styles'

import { defaultTheme } from 'themes'

// Providers used in test rendering
const AllTheProviders = ({ children }: any) => (
  <ThemeProvider theme={defaultTheme}> {children} </ThemeProvider>
)

// Custom testing-library/react renderer using our providers.
const customRender = (ui: React.ReactElement, options?: any) =>
  render(ui, { wrapper: AllTheProviders, ...options })

// re-export everything
export * from '@testing-library/react'

// override render method
export { customRender as render }

// Mock react-i18next module to return a translation that just returns the key
jest.mock('react-i18next', () => ({
  useTranslation: () => ({
    t: (value: string) => value,
    i18n: {
      language: 'en',
      changeLanguage: () => new Promise(() => {}),
    },
  }),
}))
