import pytest
from rest_framework import status
from rest_framework.reverse import reverse

from greg.models import ConsentType


@pytest.mark.django_db
def test_get_consent_type(client, consent_type_foo: ConsentType):
    resp = client.get(
        reverse("v1:consenttype-detail", kwargs={"id": consent_type_foo.id})
    )
    assert resp.status_code == status.HTTP_200_OK
    data = resp.json()
    assert data.get("id") == consent_type_foo.id
    assert data.get("identifier") == consent_type_foo.identifier
    assert data.get("name_en") == consent_type_foo.name_en
