from rest_framework import mixins
from rest_framework.authentication import SessionAuthentication, BasicAuthentication
from rest_framework.permissions import IsAuthenticated
from rest_framework.viewsets import GenericViewSet
from greg.api.serializers.organizational_unit import SponsorOrgUnitsSerializer

from greg.permissions import IsSponsor
from gregui.models import GregUserProfile


class OusViewSet(mixins.ListModelMixin, GenericViewSet):
    """Fetch Ous related to the authenticated sponsor."""

    authentication_classes = [SessionAuthentication, BasicAuthentication]
    permission_classes = [IsAuthenticated, IsSponsor]
    serializer_class = SponsorOrgUnitsSerializer

    def get_queryset(self):
        sponsor = GregUserProfile.objects.get(user=self.request.user).sponsor
        return sponsor.units.all()
